For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a mapping between two schemas
      • DELDelete all history for the authenticated user
      • GETList mapping programs
      • GETGet a mapping program
      • PATCHUpdate a mapping program
      • DELDelete a mapping program
      • POSTAdd mapping rules to a program
      • DELDelete multiple mapping rules
      • GETList mapping rules
      • GETGet a mapping rule
      • PATCHUpdate a mapping rule
      • PATCHUpdate a list of mapping rules
      • DELDelete a mapping rule
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceMapping

List mapping programs

GET
https://api.x.flatfile.com/v1/mapping
GET
/v1/mapping
$curl https://api.x.flatfile.com/v1/mapping \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "rules": [
5 {
6 "name": "name",
7 "type": "type",
8 "acceptedAt": "2024-01-15T09:30:00Z",
9 "acceptedBy": "acceptedBy",
10 "confidence": 1,
11 "config": {
12 "key": "value"
13 },
14 "createdAt": "2024-01-15T09:30:00Z",
15 "createdBy": "createdBy",
16 "deletedAt": "2024-01-15T09:30:00Z",
17 "id": "id",
18 "metadata": {
19 "key": "value"
20 },
21 "updatedAt": "2024-01-15T09:30:00Z"
22 },
23 {
24 "name": "name",
25 "type": "type",
26 "acceptedAt": "2024-01-15T09:30:00Z",
27 "acceptedBy": "acceptedBy",
28 "confidence": 1,
29 "config": {
30 "key": "value"
31 },
32 "createdAt": "2024-01-15T09:30:00Z",
33 "createdBy": "createdBy",
34 "deletedAt": "2024-01-15T09:30:00Z",
35 "id": "id",
36 "metadata": {
37 "key": "value"
38 },
39 "updatedAt": "2024-01-15T09:30:00Z"
40 }
41 ],
42 "sourceKeys": [
43 "sourceKeys",
44 "sourceKeys"
45 ],
46 "destinationKeys": [
47 "destinationKeys",
48 "destinationKeys"
49 ],
50 "id": "id",
51 "namespace": "namespace",
52 "familyId": "familyId",
53 "createdAt": "2024-01-15T09:30:00Z",
54 "createdBy": "createdBy",
55 "summary": {
56 "totalRuleCount": 1,
57 "addedRuleCount": 1,
58 "deletedRuleCount": 1
59 },
60 "accessToken": "accessToken",
61 "acceptedAt": "2024-01-15T09:30:00Z",
62 "acceptedBy": "acceptedBy"
63 },
64 {
65 "rules": [
66 {
67 "name": "name",
68 "type": "type",
69 "acceptedAt": "2024-01-15T09:30:00Z",
70 "acceptedBy": "acceptedBy",
71 "confidence": 1,
72 "config": {
73 "key": "value"
74 },
75 "createdAt": "2024-01-15T09:30:00Z",
76 "createdBy": "createdBy",
77 "deletedAt": "2024-01-15T09:30:00Z",
78 "id": "id",
79 "metadata": {
80 "key": "value"
81 },
82 "updatedAt": "2024-01-15T09:30:00Z"
83 },
84 {
85 "name": "name",
86 "type": "type",
87 "acceptedAt": "2024-01-15T09:30:00Z",
88 "acceptedBy": "acceptedBy",
89 "confidence": 1,
90 "config": {
91 "key": "value"
92 },
93 "createdAt": "2024-01-15T09:30:00Z",
94 "createdBy": "createdBy",
95 "deletedAt": "2024-01-15T09:30:00Z",
96 "id": "id",
97 "metadata": {
98 "key": "value"
99 },
100 "updatedAt": "2024-01-15T09:30:00Z"
101 }
102 ],
103 "sourceKeys": [
104 "sourceKeys",
105 "sourceKeys"
106 ],
107 "destinationKeys": [
108 "destinationKeys",
109 "destinationKeys"
110 ],
111 "id": "id",
112 "namespace": "namespace",
113 "familyId": "familyId",
114 "createdAt": "2024-01-15T09:30:00Z",
115 "createdBy": "createdBy",
116 "summary": {
117 "totalRuleCount": 1,
118 "addedRuleCount": 1,
119 "deletedRuleCount": 1
120 },
121 "accessToken": "accessToken",
122 "acceptedAt": "2024-01-15T09:30:00Z",
123 "acceptedBy": "acceptedBy"
124 }
125 ]
126}
List all mapping programs
Was this page helpful?
Previous

Get a mapping program

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

pageSizeintegerOptional

Number of programs to return in a page (default 10)

pageNumberintegerOptional
Based on pageSize, which page of records to return
createdBystringOptional
Filter by creator
createdAfterdatetimeOptional
Filter by creation time
createdBeforedatetimeOptional
Filter by creation time
environmentIdstringOptional
The ID of the environment
jobIdstringOptional
A job ID to find mapping programs for
familyIdstringOptional
Filter by family
namespacestringOptional
Filter by namespace
sourceKeysstringOptional
Filter by source keys
destinationKeysstringOptional
Filter by destination keys

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error